> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cativa.digital/llms.txt
> Use this file to discover all available pages before exploring further.

# [Admin] Update a badge



## OpenAPI

````yaml /openapi/tenant.json put /api/v1/admin/membership/badges/{id}
openapi: 3.0.1
info:
  title: Cativa Social API (public)
  version: public
servers: []
security: []
paths:
  /api/v1/admin/membership/badges/{id}:
    put:
      tags:
        - Badges
      summary: '[Admin] Update a badge'
      operationId: Admin_UpdateBadge
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Cativa.Membership.Badge.Application.Requests.Badges.Admin.AdminUpdateBadge.AdminUpdateBadgeRequest
        required: true
      responses:
        '200':
          description: OK
components:
  schemas:
    Cativa.Membership.Badge.Application.Requests.Badges.Admin.AdminUpdateBadge.AdminUpdateBadgeRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        link:
          type: string
          nullable: true
        relevance:
          type: integer
          format: int32
        openUrl:
          type: string
          nullable: true
        isPublic:
          type: boolean
      additionalProperties: false

````